Bug 198293 - Kickstart thru proxy with satellite still uses satellite host in url
Kickstart thru proxy with satellite still uses satellite host in url
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Beth Nackashi
Depends On:
Blocks: rhn410-kickstart
  Show dependency treegraph
Reported: 2006-07-10 17:01 EDT by Matthew Davis
Modified: 2007-10-29 22:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-19 16:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2006-07-10 17:01:08 EDT
Description of problem:
When a client is kickstarted thru a proxy, the url value in the kickstart should
be populated with http://<proxy>/ty/blah.  This makes the client fetch all
packages directly from the satellite instead of thru the proxy.

Version-Release number of selected component (if applicable):
rhn-satellite-4.1.0-126 with -769 upgraded java & taskomatic

How reproducible:

Steps to Reproduce:
1. Setup a proxy on a satellite
2. Create a kickstart profile
3. Access the kickstart profile through the proxy
Actual results:
url has http://<satelllite_host>/ty/blah

Expected results:
url should have http://<proxy_host>/ty/blah
Comment 1 Mike McCune 2006-07-10 17:41:13 EDT
working on this now, will hopefully have a fix in the next couple hours.
Comment 2 Mike McCune 2006-07-10 23:24:34 EDT

See above :-)
Comment 3 Mike McCune 2006-07-11 00:57:13 EDT
available in:


and on webqa, but you need to test this one on a satellite since we dont host
kickstart trees in hosted.
Comment 6 Beth Nackashi 2006-07-12 00:55:38 EDT
fails_qa -- the URL says:


rlx-3-04.rhndev.redhat.com is the satellite
test07.rhndev.redhat.com is the proxy
Comment 7 Beth Nackashi 2006-07-12 00:57:25 EDT
Comment 9 Mike McCune 2006-07-12 04:00:36 EDT
Tested this on rlx-3-04 (that has patched jar file).  The file it used had the
following url:

url --url http://test07.rhndev.redhat.com/ty/ytolIAXl

you will want to update your rpms to the latest on this sat to re-test for real.

Comment 11 Beth Nackashi 2006-07-12 09:53:56 EDT
Java packages are at:

Comment 12 Matthew Davis 2006-07-12 10:15:00 EDT
Verified with 4.1.0-776.
Comment 13 Beth Nackashi 2006-07-19 16:14:00 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.